
Redmine - Defect #23867

New issue from all issues is giving "ActionView::Template::Error"

2016-09-20 14:41 - Mentel Inc

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

Here's what we have and what we get when clicking on add an issue (.com/issues/new)

  Redmine version      3.3.0.stable

  Ruby version         2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

  Rails version        4.2.6

 
Started GET "/issues/new" for ******** at 2016-09-20 08:29:45 -0400

Processing by IssuesController#new as HTML

  Current user: ******** (id=*)

  Rendered issues/_form.html.erb (5.0ms)

  Rendered issues/new.html.erb within layouts/base (6.6ms)

Completed 500 Internal Server Error in 48ms (ActiveRecord: 5.3ms)

ActionView::Template::Error (undefined method `id' for nil:NilClass):

    1: <%= labelled_fields_for :issue, @issue do |f| %>

    2: <%= call_hook(:view_issues_form_details_top, { :issue => @issue, :form => f }) %>

    3: <%= hidden_field_tag 'form_update_triggered_by', '' %>

    4: 

    5: <% if @issue.safe_attribute? 'is_private' %>

  plugins/redmine_issue_templates/lib/issue_templates_issues_hook.rb:23:in `view_issues_form_detai

ls_top'

  lib/redmine/hook.rb:61:in `block (2 levels) in call_hook'

  lib/redmine/hook.rb:61:in `each'

  lib/redmine/hook.rb:61:in `block in call_hook'

  lib/redmine/hook.rb:58:in `tap'

  lib/redmine/hook.rb:58:in `call_hook'

  lib/redmine/hook.rb:96:in `call_hook'

  app/views/issues/_form.html.erb:2:in `block in _app_views_issues__form_html_erb___44377858143334

51970_70147895881400'

  app/helpers/application_helper.rb:1058:in `labelled_fields_for'

  app/views/issues/_form.html.erb:1:in `_app_views_issues__form_html_erb___4437785814333451970_701

47895881400'

  app/views/issues/new.html.erb:11:in `block in _app_views_issues_new_html_erb__969471801192373352

_70147897290300'

  app/helpers/application_helper.rb:1051:in `labelled_form_for'

  app/views/issues/new.html.erb:5:in `_app_views_issues_new_html_erb__969471801192373352_701478972

90300'

  app/controllers/issues_controller.rb:129:in `block (2 levels) in new'

  app/controllers/issues_controller.rb:128:in `new'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2016-09-20 16:18 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please contact plugin author.
